@compassdigital/sdk.typescript 4.837.0 → 4.838.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@compassdigital/sdk.typescript",
3
- "version": "4.837.0",
3
+ "version": "4.838.0",
4
4
  "description": "Compass Digital Labs TypeScript SDK",
5
5
  "type": "commonjs",
6
6
  "main": "./lib/index.js",
package/src/index.ts CHANGED
@@ -1015,8 +1015,6 @@ import {
1015
1015
  DeleteMenuV4BrandCategoryResponse,
1016
1016
  PostMenuV4BrandCategoryAttachItemsBody,
1017
1017
  PostMenuV4BrandCategoryAttachItemsResponse,
1018
- PostMenuV4BrandSwapCategoryItemsBody,
1019
- PostMenuV4BrandSwapCategoryItemsResponse,
1020
1018
  GetMenuV4BrandCatalogBackupVersionsResponse,
1021
1019
  PostMenuV4BrandCatalogBackupRestoreBody,
1022
1020
  PostMenuV4BrandCatalogBackupRestoreResponse,
@@ -1538,6 +1536,14 @@ import {
1538
1536
  PostAuthAuthorizeLoginResponse,
1539
1537
  PostAuthAuthorizeSsoBody,
1540
1538
  PostAuthAuthorizeSsoResponse,
1539
+ PostAuthAuthorizeDenyBody,
1540
+ PostAuthAuthorizeDenyResponse,
1541
+ GetWellKnownOauthAuthorizationServerResponse,
1542
+ GetWellKnownOauthAuthorizationServerAuthResponse,
1543
+ GetWellKnownOpenidConfigurationResponse,
1544
+ GetWellKnownOpenidConfigurationAuthResponse,
1545
+ GetWellKnownOauthProtectedResourceResponse,
1546
+ GetWellKnownOauthProtectedResourceAgentThriveMcpResponse,
1541
1547
  } from './interface/auth';
1542
1548
 
1543
1549
  import {
@@ -12131,28 +12137,6 @@ export class ServiceClient extends BaseServiceClient {
12131
12137
  );
12132
12138
  }
12133
12139
 
12134
- /**
12135
- * POST /menu/v4/brand/{id}/swap-category-items
12136
- *
12137
- * @param id
12138
- * @param body
12139
- * @param options - additional request options
12140
- */
12141
- post_menu_v4_brand_swap_category_items(
12142
- id: string,
12143
- body: PostMenuV4BrandSwapCategoryItemsBody,
12144
- options?: RequestOptions,
12145
- ): ResponsePromise<PostMenuV4BrandSwapCategoryItemsResponse> {
12146
- return this.request(
12147
- 'menu',
12148
- '/menu/v4/brand/{id}/swap-category-items',
12149
- 'POST',
12150
- `/menu/v4/brand/${id}/swap-category-items`,
12151
- body,
12152
- options,
12153
- );
12154
- }
12155
-
12156
12140
  /**
12157
12141
  * GET /menu/v4/brand/{id}/catalog-backup/versions
12158
12142
  *
@@ -17928,6 +17912,134 @@ export class ServiceClient extends BaseServiceClient {
17928
17912
  );
17929
17913
  }
17930
17914
 
17915
+ /**
17916
+ * POST /auth/authorize/deny - User declined the authorization request (RFC 6749 s4.1.2.1 access_denied).
17917
+ *
17918
+ * @param body
17919
+ * @param options - additional request options
17920
+ */
17921
+ post_auth_authorize_deny(
17922
+ body: PostAuthAuthorizeDenyBody,
17923
+ options?: RequestOptions,
17924
+ ): ResponsePromise<PostAuthAuthorizeDenyResponse> {
17925
+ return this.request(
17926
+ 'auth',
17927
+ '/auth/authorize/deny',
17928
+ 'POST',
17929
+ `/auth/authorize/deny`,
17930
+ body,
17931
+ options,
17932
+ );
17933
+ }
17934
+
17935
+ /**
17936
+ * GET /.well-known/oauth-authorization-server - Authorization-server metadata at the root path (RFC 8414).
17937
+ *
17938
+ * @param options - additional request options
17939
+ */
17940
+ get_well_known_oauth_authorization_server(
17941
+ options?: RequestOptions,
17942
+ ): ResponsePromise<GetWellKnownOauthAuthorizationServerResponse> {
17943
+ return this.request(
17944
+ 'auth',
17945
+ '/.well-known/oauth-authorization-server',
17946
+ 'GET',
17947
+ `/.well-known/oauth-authorization-server`,
17948
+ null,
17949
+ options,
17950
+ );
17951
+ }
17952
+
17953
+ /**
17954
+ * GET /.well-known/oauth-authorization-server/auth - Authorization-server metadata with the issuer path inserted (RFC 8414).
17955
+ *
17956
+ * @param options - additional request options
17957
+ */
17958
+ get_well_known_oauth_authorization_server_auth(
17959
+ options?: RequestOptions,
17960
+ ): ResponsePromise<GetWellKnownOauthAuthorizationServerAuthResponse> {
17961
+ return this.request(
17962
+ 'auth',
17963
+ '/.well-known/oauth-authorization-server/auth',
17964
+ 'GET',
17965
+ `/.well-known/oauth-authorization-server/auth`,
17966
+ null,
17967
+ options,
17968
+ );
17969
+ }
17970
+
17971
+ /**
17972
+ * GET /.well-known/openid-configuration - OpenID Provider metadata at the root path (OIDC discovery).
17973
+ *
17974
+ * @param options - additional request options
17975
+ */
17976
+ get_well_known_openid_configuration(
17977
+ options?: RequestOptions,
17978
+ ): ResponsePromise<GetWellKnownOpenidConfigurationResponse> {
17979
+ return this.request(
17980
+ 'auth',
17981
+ '/.well-known/openid-configuration',
17982
+ 'GET',
17983
+ `/.well-known/openid-configuration`,
17984
+ null,
17985
+ options,
17986
+ );
17987
+ }
17988
+
17989
+ /**
17990
+ * GET /.well-known/openid-configuration/auth - OpenID Provider metadata with the issuer path inserted (OIDC discovery).
17991
+ *
17992
+ * @param options - additional request options
17993
+ */
17994
+ get_well_known_openid_configuration_auth(
17995
+ options?: RequestOptions,
17996
+ ): ResponsePromise<GetWellKnownOpenidConfigurationAuthResponse> {
17997
+ return this.request(
17998
+ 'auth',
17999
+ '/.well-known/openid-configuration/auth',
18000
+ 'GET',
18001
+ `/.well-known/openid-configuration/auth`,
18002
+ null,
18003
+ options,
18004
+ );
18005
+ }
18006
+
18007
+ /**
18008
+ * GET /.well-known/oauth-protected-resource - Protected-resource metadata when the URL names no resource (RFC 9728).
18009
+ *
18010
+ * @param options - additional request options
18011
+ */
18012
+ get_well_known_oauth_protected_resource(
18013
+ options?: RequestOptions,
18014
+ ): ResponsePromise<GetWellKnownOauthProtectedResourceResponse> {
18015
+ return this.request(
18016
+ 'auth',
18017
+ '/.well-known/oauth-protected-resource',
18018
+ 'GET',
18019
+ `/.well-known/oauth-protected-resource`,
18020
+ null,
18021
+ options,
18022
+ );
18023
+ }
18024
+
18025
+ /**
18026
+ * GET /.well-known/oauth-protected-resource/agent/thrive/mcp - Protected-resource metadata for the thrive MCP endpoint (RFC 9728 §3.1).
18027
+ *
18028
+ * @param options - additional request options
18029
+ */
18030
+ get_well_known_oauth_protected_resource_agent_thrive_mcp(
18031
+ options?: RequestOptions,
18032
+ ): ResponsePromise<GetWellKnownOauthProtectedResourceAgentThriveMcpResponse> {
18033
+ return this.request(
18034
+ 'auth',
18035
+ '/.well-known/oauth-protected-resource/agent/thrive/mcp',
18036
+ 'GET',
18037
+ `/.well-known/oauth-protected-resource/agent/thrive/mcp`,
18038
+ null,
18039
+ options,
18040
+ );
18041
+ }
18042
+
17931
18043
  /**
17932
18044
  * GET /review - Get reviews by taxonomy
17933
18045
  *
@@ -62,6 +62,8 @@ export interface SSOConfigsResponseDTO {
62
62
  tokenEndpoint: string;
63
63
  userinfoEndpoint: string;
64
64
  realm: string;
65
+ // The client these SSO users are affiliated with
66
+ clientAffiliation?: string;
65
67
  mapping?: SSOMapping;
66
68
  }
67
69
 
@@ -73,6 +75,7 @@ export interface SSOConfigRequestDTO {
73
75
  tokenEndpoint: string;
74
76
  userinfoEndpoint: string;
75
77
  realm: string;
78
+ clientAffiliation?: string;
76
79
  protocol: 'OIDC' | 'SAML2';
77
80
  mapping?: SSOMapping;
78
81
  }
@@ -88,6 +91,7 @@ export interface SSOConfigUpdateRequestDTO {
88
91
  tokenEndpoint: string;
89
92
  userinfoEndpoint: string;
90
93
  realm: string;
94
+ clientAffiliation?: string;
91
95
  protocol: 'OIDC' | 'SAML2';
92
96
  mapping?: SSOMapping;
93
97
  }
@@ -316,6 +320,8 @@ export interface AuthorizeRequestResponseDTO {
316
320
  client_name: string;
317
321
  scopes: string[];
318
322
  realm: string;
323
+ // Name of the MCP resource the client asked to access (RFC 8707).
324
+ resource_name?: string;
319
325
  }
320
326
 
321
327
  export interface AuthorizeLoginRequestDTO {
@@ -335,6 +341,18 @@ export interface AuthorizeSsoRequestDTO {
335
341
  token: string;
336
342
  }
337
343
 
344
+ export interface AuthorizeDenyRequestDTO {
345
+ request_id: string;
346
+ }
347
+
348
+ export interface ProtectedResourceMetadataResponseDTO {
349
+ resource: string;
350
+ authorization_servers: string[];
351
+ bearer_methods_supported: string[];
352
+ resource_name: string;
353
+ scopes_supported: string[];
354
+ }
355
+
338
356
  // POST /auth/flow - Determines the authentication flow for a user based on their email address
339
357
 
340
358
  export type PostAuthFlowBody = SSOFlowRequestDTO;
@@ -560,3 +578,34 @@ export type PostAuthAuthorizeLoginResponse = AuthorizeRedirectResponseDTO;
560
578
  export type PostAuthAuthorizeSsoBody = AuthorizeSsoRequestDTO;
561
579
 
562
580
  export type PostAuthAuthorizeSsoResponse = AuthorizeRedirectResponseDTO;
581
+
582
+ // POST /auth/authorize/deny - User declined the authorization request (RFC 6749 s4.1.2.1 access_denied).
583
+
584
+ export type PostAuthAuthorizeDenyBody = AuthorizeDenyRequestDTO;
585
+
586
+ export type PostAuthAuthorizeDenyResponse = AuthorizeRedirectResponseDTO;
587
+
588
+ // GET /.well-known/oauth-authorization-server - Authorization-server metadata at the root path (RFC 8414).
589
+
590
+ export type GetWellKnownOauthAuthorizationServerResponse = OpenIdConfigurationResponseDTO;
591
+
592
+ // GET /.well-known/oauth-authorization-server/auth - Authorization-server metadata with the issuer path inserted (RFC 8414).
593
+
594
+ export type GetWellKnownOauthAuthorizationServerAuthResponse = OpenIdConfigurationResponseDTO;
595
+
596
+ // GET /.well-known/openid-configuration - OpenID Provider metadata at the root path (OIDC discovery).
597
+
598
+ export type GetWellKnownOpenidConfigurationResponse = OpenIdConfigurationResponseDTO;
599
+
600
+ // GET /.well-known/openid-configuration/auth - OpenID Provider metadata with the issuer path inserted (OIDC discovery).
601
+
602
+ export type GetWellKnownOpenidConfigurationAuthResponse = OpenIdConfigurationResponseDTO;
603
+
604
+ // GET /.well-known/oauth-protected-resource - Protected-resource metadata when the URL names no resource (RFC 9728).
605
+
606
+ export type GetWellKnownOauthProtectedResourceResponse = ProtectedResourceMetadataResponseDTO;
607
+
608
+ // GET /.well-known/oauth-protected-resource/agent/thrive/mcp - Protected-resource metadata for the thrive MCP endpoint (RFC 9728 §3.1).
609
+
610
+ export type GetWellKnownOauthProtectedResourceAgentThriveMcpResponse =
611
+ ProtectedResourceMetadataResponseDTO;
@@ -4753,22 +4753,55 @@ export interface PostExternalExchangeLoginCodeResponseDTO {
4753
4753
  }
4754
4754
 
4755
4755
  export interface GetConsumerLocationResponse {
4756
- // id
4757
- id: string;
4758
- date?: {
4759
- created?: string;
4760
- modified?: string;
4761
- };
4756
+ // CDL id of the location
4757
+ id?: string;
4758
+ // ISO timestamp the location was deleted, if any
4759
+ deleted_at?: string;
4760
+ // operation id
4761
+ operation_id?: number;
4762
4762
  // name
4763
- name: string;
4763
+ name?: string;
4764
4764
  label?: {
4765
4765
  en?: string;
4766
4766
  fr?: string;
4767
4767
  };
4768
- // distance in meters from the group
4769
- distance?: number;
4768
+ // display order within its group
4769
+ sequence?: number;
4770
+ // search terms
4771
+ search?: string[];
4772
+ // app the location belongs to
4773
+ app?: string;
4774
+ // address
4775
+ address?: ConsumerAddress;
4776
+ // latitude
4777
+ latitude?: number;
4778
+ // longitude
4779
+ longitude?: number;
4780
+ // brands (stations) attached to the location
4781
+ brands?: ConsumerBrand[];
4770
4782
  // meta data
4771
4783
  meta?: Record<string, any>;
4784
+ // phone number
4785
+ phone?: string;
4786
+ // CDL id of the group of this location
4787
+ location_group?: string;
4788
+ // CDL id of the multigroup of this location
4789
+ location_multigroup?: string;
4790
+ // CDL id of the sector of this location
4791
+ sector?: string;
4792
+ date?: {
4793
+ deleted?: string;
4794
+ created?: string;
4795
+ modified?: string;
4796
+ };
4797
+ // shared drop-off timeslot settings
4798
+ timeslots?: Record<string, any>;
4799
+ // marketplace configuration
4800
+ market_place?: ConsumerLocationMarketPlace;
4801
+ // site operational status
4802
+ status?: 'active' | 'inactive';
4803
+ // distance in meters from the caller
4804
+ distance?: number;
4772
4805
  style?: {
4773
4806
  logo?: string | null;
4774
4807
  main_logo?: string | null;
@@ -4776,10 +4809,6 @@ export interface GetConsumerLocationResponse {
4776
4809
  };
4777
4810
  // timezone
4778
4811
  timezone?: string;
4779
- // site operational status
4780
- status?: Record<string, any>;
4781
- locations?: ConsumerLocation[];
4782
- address?: ConsumerAddress;
4783
4812
  }
4784
4813
 
4785
4814
  export interface GetDeliveryOrderResponseDto {
@@ -2165,17 +2165,6 @@ export interface CategoryItemRelationshipDTO {
2165
2165
  [index: string]: any;
2166
2166
  }
2167
2167
 
2168
- export interface SwappedCategoryDTO {
2169
- category_id?: string;
2170
- sequence?: number;
2171
- }
2172
-
2173
- export interface SwapOriginalStatesDTO {
2174
- swap_out_was_visible: boolean;
2175
- swap_in_was_visible: boolean;
2176
- [index: string]: any;
2177
- }
2178
-
2179
2168
  export interface CatalogBackupVersionDTO {
2180
2169
  version_id?: string;
2181
2170
  last_modified?: string;
@@ -9125,32 +9114,6 @@ export interface PostMenuV4BrandCategoryAttachItemsRequest
9125
9114
  body: PostMenuV4BrandCategoryAttachItemsBody;
9126
9115
  }
9127
9116
 
9128
- // POST /menu/v4/brand/{id}/swap-category-items
9129
-
9130
- export interface PostMenuV4BrandSwapCategoryItemsPath {
9131
- id: string;
9132
- }
9133
-
9134
- export interface PostMenuV4BrandSwapCategoryItemsBody {
9135
- menu_id: string;
9136
- category_ids: string[];
9137
- swap_out_item_id: string;
9138
- swap_in_item_id: string;
9139
- [index: string]: any;
9140
- }
9141
-
9142
- export interface PostMenuV4BrandSwapCategoryItemsResponse {
9143
- status?: string;
9144
- swapped_categories?: SwappedCategoryDTO[];
9145
- original_states?: SwapOriginalStatesDTO;
9146
- }
9147
-
9148
- export interface PostMenuV4BrandSwapCategoryItemsRequest
9149
- extends BaseRequest,
9150
- PostMenuV4BrandSwapCategoryItemsPath {
9151
- body: PostMenuV4BrandSwapCategoryItemsBody;
9152
- }
9153
-
9154
9117
  // GET /menu/v4/brand/{id}/catalog-backup/versions
9155
9118
 
9156
9119
  export interface GetMenuV4BrandCatalogBackupVersionsPath {